#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import codecs

def filter(in_file, out_file):
    fin = codecs.open(in_file, 'r', 'shift_jis')
    fout = codecs.open(out_file, 'w', 'shift_jis')

    for line in fin:
        line = line.strip()
        cols = line.split(',')
        if cols[0] == 'DIR':
            dir = cols[1]
        elif cols[0] == 'title':
            if dir != '' and cols[1] != '':
                path = dir + '\\' + cols[1]
            else:
                path = cols[1]
            caption = cols[2]
            fout.write('image,{},90,-1,{},96,C\r\n'.format(path, caption))
        elif cols[0] == 'image':
            if dir != '' and cols[1] != '':
                path = dir + '\\' + cols[1]
            else:
                path = cols[1]
            transition = cols[2]
            caption = cols[3]
            fout.write('image,{},90,{},{},,\r\n'.format(path, transition, caption))
        elif cols[0] == 'blank':
            fout.write('image,,90,0,,96,\r\n')
        else:
            print('Unknown statement: {}'.format(cols[0]))

def main():
    filter(sys.argv[1], sys.argv[2])

if __name__ == "__main__":
    main()
