#! /usr/bin/env python
import sys
import subprocess
from pathlib import Path
from PIL import Image

def resize(in_path, out_path):
    img = Image.open(in_path)
    img_resize = img.resize((128, 72))
    img_resize.save(out_path)

def make_thumbnail(source_path):
    base_path = Path(source_path)
    thumbnail_path = base_path / 'thumbnail'

    if not base_path.exists():
        print('The folder does not exist{}'.format(source_path, file=sys.stderr))
        sys.exit(1)

    if not thumbnail_path.exists():
        print('Create a thumbnail folder.')
        thumbnail_path.mkdir()
    else:
        print('A thumbnail folder found.')

    for p in base_path.glob('*.mp4'):
        mp = p.parent / p
        tmp_jpg = p.parent / Path(str(p) + '.jpg')
        if not tmp_jpg.exists():
            subprocess.call(['c:\\usr\\ffmpeg\\bin\\ffmpeg.exe', '-i', str(p), '-ss', '00:00:00.000', '-vframes', '1', str(tmp_jpg)], shell=True)
    
    for p in base_path.glob('*.jpg'):
        tn = p.parent / 'thumbnail' / p.name
        if not tn.exists():
            print('no thumbnail: {}'.format(tn.name))
            resize(p, tn)
